pyproject-info(1)

NAME
pyproject-info - extract information from the given 'pyproject.toml' file

USAGE
pyproject-info [OPTIONS] [PROJECT]

DESCRIPTION
Pyproject-info extracts information from the given 'pyproject.toml' file and prints the JSON representation.

OPTIONS

-r, --resolve
    Resolve file key in project.readme and project.license (if present) to retrieve the content of the file.

-i, --indent INTEGER
    Add indentation to the JSON output.

-f, --file TEXT
    The ``pyproject.toml`` file.

-P, --parser-class TEXT
    The class to parse the 'pyproject.toml' file with. [default: pyproject_parser:PyProject]

-T, --traceback
    Show the complete traceback on error.

-h, --help
    Show the help message and exit.

AUTHORS
Written by Dominic Davis-Foste <dominic@davis-foster.co.uk>

This manual page was written by Josenison F. da Silva <nilsonfsilva@hotmail.com>